Package org.eclipse.net4j.db.ddl.delta

# Class IDBDeltaVisitor.Filter.Policy

java.lang.Object
org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter.Policy

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  IDBDeltaVisitor.Filter

public static final class IDBDeltaVisitor.Filter.Policy extends Object implements Serializable

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Object`
`ALLOWED`
`static final Object`
`FORBIDDEN`
`static final Object`
`IGNORED`

## Constructor Summary

Constructors
Constructor
Description
`Policy()`

## Method Summary

Modifier and Type
Method
Description
`IDBDeltaVisitor.Filter.Policy`
`allow(IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
`allow(IDBDelta.DeltaType deltaType)`
`IDBDeltaVisitor.Filter.Policy`
`allow(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
`allowAll()`
`IDBDeltaVisitor.Filter.Policy`
`forbid(IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
`forbid(IDBDelta.DeltaType deltaType)`
`IDBDeltaVisitor.Filter.Policy`
`forbid(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
`forbidAll()`
`IDBDeltaVisitor.Filter.Policy`
`freeze()`
`IDBDeltaVisitor.Filter.Policy`
`ignore(IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
`ignore(IDBDelta.DeltaType deltaType)`
`IDBDeltaVisitor.Filter.Policy`
`ignore(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
`ignoreAll()`
`boolean`
`isAllowed(IDBDelta delta)`
`boolean`
`isAllowed(IDBDelta.ChangeKind changeKind)`
`boolean`
`isAllowed(IDBDelta.DeltaType deltaType)`
`boolean`
`isAllowed(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)`
`boolean`
`isForbidden(IDBDelta delta)`
`boolean`
`isForbidden(IDBDelta.ChangeKind changeKind)`
`boolean`
`isForbidden(IDBDelta.DeltaType deltaType)`
`boolean`
`isForbidden(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)`
`boolean`
`isIgnored(IDBDelta delta)`
`boolean`
`isIgnored(IDBDelta.ChangeKind changeKind)`
`boolean`
`isIgnored(IDBDelta.DeltaType deltaType)`
`boolean`
`isIgnored(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ALLOWED

public static final Object ALLOWED

### FORBIDDEN

public static final Object FORBIDDEN

### IGNORED

public static final Object IGNORED

## Constructor Details

### Policy

public Policy()

## Method Details

### isAllowed

public boolean isAllowed(IDBDelta.DeltaType deltaType)

### isAllowed

public boolean isAllowed(IDBDelta.ChangeKind changeKind)

### isAllowed

public boolean isAllowed(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)

### isAllowed

public boolean isAllowed(IDBDelta delta)

### isForbidden

public boolean isForbidden(IDBDelta.DeltaType deltaType)

### isForbidden

public boolean isForbidden(IDBDelta.ChangeKind changeKind)

### isForbidden

public boolean isForbidden(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)

### isForbidden

public boolean isForbidden(IDBDelta delta)

### isIgnored

public boolean isIgnored(IDBDelta.DeltaType deltaType)

### isIgnored

public boolean isIgnored(IDBDelta.ChangeKind changeKind)

### isIgnored

public boolean isIgnored(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)

### isIgnored

public boolean isIgnored(IDBDelta delta)

### allow

public IDBDeltaVisitor.Filter.Policy allow(IDBDelta.DeltaType deltaType)

### allow

public IDBDeltaVisitor.Filter.Policy allow(IDBDelta.ChangeKind changeKind)

### allow

public IDBDeltaVisitor.Filter.Policy allow(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)

### allowAll

public IDBDeltaVisitor.Filter.Policy allowAll()

### forbid

public IDBDeltaVisitor.Filter.Policy forbid(IDBDelta.DeltaType deltaType)

### forbid

public IDBDeltaVisitor.Filter.Policy forbid(IDBDelta.ChangeKind changeKind)

### forbid

public IDBDeltaVisitor.Filter.Policy forbid(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)

### forbidAll

public IDBDeltaVisitor.Filter.Policy forbidAll()

### ignore

public IDBDeltaVisitor.Filter.Policy ignore(IDBDelta.DeltaType deltaType)

### ignore

public IDBDeltaVisitor.Filter.Policy ignore(IDBDelta.ChangeKind changeKind)

### ignore

public IDBDeltaVisitor.Filter.Policy ignore(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)

### ignoreAll

public IDBDeltaVisitor.Filter.Policy ignoreAll()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### freeze

public IDBDeltaVisitor.Filter.Policy freeze()